<template>
<div>
  <b-container class="bv-example-row">
  <b-row>
    <b-col  :class = "asd">1 of 2</b-col>
    <b-col  :class = "asd">2 of 2</b-col>
  </b-row>

  <b-row>
    <b-col  :class = "asd">{{user.age}}</b-col>
    <b-col  :class = "asd">2 of 3</b-col>
    <b-col  :class = "asd">3 of 3</b-col>
  </b-row>

  <button @click="exportmethod">asdasd</button>
</b-container>
</div>
</template>




<script>

export default {
  name: "HelloWorld",
  props:{
    user: {
      type: Object,
      validator(value){
        console.log(value)
        return value.age
      }
    }
  },
  data: () => ({
    asd: "blue_bcg",
    counter: 0,
  }),
  methods: {
      exportmethod() {
      this.counter+=1
      this.$emit('changed', this.counter)
     }
   }
};
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
.blue_bcg {
  background-color: #e1e1e1;
  border: solid 1px;
}
h3 {
  margin: 40px 0 0;
}
ul {
  list-style-type: none;
  padding: 0;
}
li {
  display: inline-block;
  margin: 0 10px;
}
a {
  color: #42b983;
}
</style>
